Skip to content
Snippets Groups Projects
Commit a64d6233 authored by Henry's avatar Henry
Browse files

Remove deprecated and out-of-date scripts

parent 3dd0c197
Branches
Tags
No related merge requests found
#!/bin/sh
#------------------------------------------------------------------------------
# ========= |
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration |
# \\ / A nd | Copyright (C) 2011 OpenFOAM Foundation
# \\/ M anipulation |
#-------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM.
#
# OpenFOAM is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenFOAM. If not, see <http://www.gnu.org/licenses/>.
#
# Script
# foamDistccd
#
# Description
# Script to control distccd daemons. (distcc/distccd is a distributed
# C/C++ compilation frontend). Distccd daemons need to be running
# on all platforms one wants to build on. The platforms are specified
# in the DISTCC_HOSTS environment variable.
#
#------------------------------------------------------------------------------
usage()
{
echo "Usage : ${0##*/} start|stop|list"
echo ""
exit 1
}
RSH='ssh'
if [ ! "$DISTCC_HOSTS" ]
then
echo "${0##*/} Warnings"
echo " variable DISTCC_HOSTS not set."
echo " please set DISTCC_HOSTS to the list of hosts to use."
echo " the format is host1:port host2:port host3:port etc."
echo
exit 1
fi
[ $# -eq 1 ] || usage
case "$1" in
start)
grep -v '^#' /etc/hosts | awk '{print $1, $2 " "}' > ~/filteredHosts.txt
allowIPS=''
for host in $DISTCC_HOSTS
do
machine=`echo "$host" | awk -F: '{print $1}'`
iptest=`echo "$machine" | sed -e 's/[0-9.]//g'`
if [ ! "$iptest" ]
then
# address only contained 0-9 and '.'. Probably ip address.
ip=$machine
else
# address probably not ip address. Try searching /etc/hosts
ip=`egrep " $machine " ~/filteredHosts.txt | awk '{print $1}'`
fi
if [ ! "$ip" ]
then
echo "$0 : host specifier $host either is not an ip address or cannot be found in /etc/hosts."
echo "$0 : Exiting."
exit 1
fi
allowIPS="$allowIPS --allow $ip"
done
echo "allowIPS=$allowIPS"
for host in $DISTCC_HOSTS
do
echo ""
echo "Trying to start distccd on host $host ..."
machine=`echo "$host" | awk -F: '{print $1}'`
port=`echo "$host" | awk -F: '{print $2}'`
if [ "$machine" -a "$port" ]
then
#echo "Machine:$machine port:$port"
echo "distccd --daemon $allowIPS --port $port"' --jobs `egrep "^processor" /proc/cpuinfo | wc -l`'
$RSH $machine "distccd --verbose --daemon $allowIPS --port $port"' --jobs `egrep "^processor" /proc/cpuinfo | wc -l`'
else
echo "$0 : host specifier $host not in correct form machine:port."
echo "$0 : Exiting."
exit 1
fi
done
;;
stop)
for host in $DISTCC_HOSTS
do
echo ""
echo "Trying to stop all distccd on host $host ..."
machine=`echo "$host" | awk -F: '{print $1}'`
$RSH $machine killall distccd
done
;;
list)
for host in $DISTCC_HOSTS
do
echo ""
echo "Trying to find process distccd on host $host ..."
machine=`echo "$host" | awk -F: '{print $1}'`
$RSH $machine "ps -ef | grep distccd | grep -v grep"
done
;;
*)
usage
;;
esac
#------------------------------------------------------------------------------
#!/bin/sh
#------------------------------------------------------------------------------
# ========= |
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration |
# \\ / A nd | Copyright (C) 2011 OpenFOAM Foundation
# \\/ M anipulation |
#-------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM.
#
# OpenFOAM is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenFOAM. If not, see <http://www.gnu.org/licenses/>.
#
# Script
# foamPackDeps [OPTION]
#
# Description
# Pack and compress *.dep files from OpenFOAM
#
# Script
# foamPackDeps [OPTION]
#
# Description
# Pack and compress *.dep files from OpenFOAM ThirdParty
#
#------------------------------------------------------------------------------
toolsDir="${0%/*}/tools" # this script is located in the tools/ parent dir
case "${0##*/}" in
*ThirdParty*)
# for ThirdParty
codeBase="OpenFOAM ThirdParty"
packDir=ThirdParty-$WM_PROJECT_VERSION
;;
*)
# regular
codeBase="OpenFOAM"
packDir=$WM_PROJECT-$WM_PROJECT_VERSION
;;
esac
usage() {
exec 1>&2
while [ "$#" -gt 0 ]; do echo "$1"; shift; done
cat <<USAGE
Usage: ${0##*/} [OPTION]
options:
-b, -bzip2 use bzip2 instead of gzip compression
-c, -current for compatibility - currently ignored
-o, -output <dir> specify alternative output directory
* Pack and compress *.dep files from $codeBase
USAGE
exit 1
}
unset archOptions outputDir
packExt=tgz
# parse options
while [ "$#" -gt 0 ]
do
case "$1" in
-h | -help)
usage
;;
-b | -bzip2)
packExt=tbz
shift
;;
-c | -current) # use $WM_OPTIONS - eg, 'linux64GccDPOpt'
archOptions="$WM_OPTIONS"
shift
;;
-o | -output)
[ "$#" -ge 2 ] || usage "'$1' option requires an argument"
outputDir=${2%%/}
shift 2
;;
-*)
usage "unknown option: '$*'"
;;
*)
break
;;
esac
done
# check for essential directories
[ -d $packDir ] || {
echo "Error: directory $packDir does not exist" 1>&2
exit 1
}
#------------------------------------------------------------------------------
timeStamp=$(date +%Y-%m-%d)
packBase=${packDir}.deps_${timeStamp}
# add optional output directory
[ -d "$outputDir" ] && packBase="$outputDir/$packBase"
packFile=$packBase.$packExt
# avoid overwriting old pack file
if [ -f $packFile ]
then
echo "Error: $packFile already exists" 1>&2
exit 1
fi
cat <<INFO 1>&2
-------------------------------------------------------------------------------
Packing *.dep files into $packFile
INFO
# bzip2 or gzip compression
case "$packFile" in
*tbz)
tarOpt=cpjf
;;
*)
tarOpt=cpzf
;;
esac
# Clean up on Ctrl-C
trap 'rm -f $packFile 2>/dev/null' INT
find -H $packDir -name '*.dep' -type f -print | tar $tarOpt $packFile -T -
if [ $? -eq 0 ]
then
echo "Finished packing *.dep files into $packFile" 1>&2
else
echo "Error: failure packing *.dep files into $packFile" 1>&2
rm -f $packFile 2>/dev/null
fi
#------------------------------------------------------------------------------
#!/bin/sh
#------------------------------------------------------------------------------
# ========= |
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration |
# \\ / A nd | Copyright (C) 2011 OpenFOAM Foundation
# \\/ M anipulation |
#-------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM.
#
# OpenFOAM is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenFOAM. If not, see <http://www.gnu.org/licenses/>.
#
# Script
# foamPackMake [OPTION] <archOptions>
#
# Description
# Pack and compress OpenFOAM Make/<archOptions> directories
#
# Script
# foamPackThirdPartyMake [OPTION] <archOptions>
#
# Description
# Pack and compress OpenFOAM ThirdParty Make/<archOptions> directories
#
#------------------------------------------------------------------------------
toolsDir="${0%/*}/tools" # this script is located in the tools/ parent dir
case "${0##*/}" in
*ThirdParty*)
# for ThirdParty
codeBase="OpenFOAM ThirdParty"
packDir=ThirdParty-$WM_PROJECT_VERSION
;;
*)
# regular
codeBase="OpenFOAM"
packDir=$WM_PROJECT-$WM_PROJECT_VERSION
;;
esac
usage() {
exec 1>&2
while [ "$#" -gt 0 ]; do echo "$1"; shift; done
cat <<USAGE
Usage: ${0##*/} [OPTION] <archOptions>
${0##*/} [OPTION] -current
options:
-b, -bzip2 use bzip2 instead of gzip compression
-c, -current use current value of \$WM_OPTIONS
-o, -output <dir> specify alternative output directory
* Pack and compress $codeBase Make/<archOptions> directories
The value of 'archOptions' normally corresponds to \$WM_OPTIONS
The current value of \$WM_OPTIONS = $WM_OPTIONS
USAGE
exit 1
}
unset archOptions outputDir
packExt=tgz
# parse options
while [ "$#" -gt 0 ]
do
case "$1" in
-h | -help)
usage
;;
-b | -bzip2)
packExt=tbz
shift
;;
-c | -current) # use $WM_OPTIONS - eg, 'linux64GccDPOpt'
archOptions="$WM_OPTIONS"
shift
;;
-o | -output)
[ "$#" -ge 2 ] || usage "'$1' option requires an argument"
outputDir=${2%%/}
shift 2
;;
-*)
usage "unknown option: '$*'"
;;
*)
break
;;
esac
done
if [ -n "$archOptions" ]
then
[ $# -eq 0 ] || usage "Error: cannot specify both -current and architecture"
else
archOptions="$1"
[ $# -eq 1 ] || usage "Error: specify architecture"
fi
#------------------------------------------------------------------------------
timeStamp=$(date +%Y-%m-%d)
packBase=${packDir}.Make-${archOptions}_${timeStamp}
# add optional output directory
[ -d "$outputDir" ] && packBase="$outputDir/$packBase"
packFile=$packBase.$packExt
# avoid overwriting old pack file
if [ -f $packFile ]
then
echo "Error: $packFile already exists" 1>&2
exit 1
fi
cat <<INFO 1>&2
-------------------------------------------------------------------------------
Pack and compress Make/$archOptions* directories into $packFile
INFO
# bzip2 or gzip compression
case "$packFile" in
*tbz)
tarOpt=cpjf
;;
*)
tarOpt=cpzf
;;
esac
# Clean up on Ctrl-C
trap 'rm -f $packFile 2>/dev/null' INT
find -H $packDir -depth -name Make -type d -print | \
xargs -i find '{}' -depth -name "$archOptions*" -type d -print | \
tar $tarOpt $packFile -T -
if [ $? -eq 0 ]
then
echo "Finished packing Make/$archOptions directories into $packFile" 1>&2
else
echo "Error: failure packing Make/$archOptions directories into $packFile" 1>&2
rm -f $packFile 2>/dev/null
fi
#------------------------------------------------------------------------------
foamPackDeps
\ No newline at end of file
foamPackMake
\ No newline at end of file
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment